import shutil
import sys


def error(logger, message, tmpdir=None):
    logger.error(message.rstrip())
    if tmpdir:
        shutil.rmtree(tmpdir)
    sys.exit(1)

def info(logger, message):
    for line in message.split('\n'):
        if line:
            logger.info(line.rstrip())

def warn(logger, message):
    for line in message.split('\n'):
        if line:
            logger.warn(line.rstrip())
